Loading...
Searching...
No Matches
BALL::Solvation Class Reference

`#include <BALL/SCORING/COMPONENTS/solvation.h>`

Inheritance diagram for BALL::Solvation:

## Public Member Functions

| Solvation (ScoringFunction &sf)
virtual void | update (const AtomPairVector &pair_vector)
virtual double | updateScore ()
Public Member Functions inherited from BALL::ScoringComponent
| ScoringComponent ()
| ScoringComponent (const ScoringComponent &sc)
| ScoringComponent (ScoringFunction &sf)
void | selectBaseFunction (String function)
virtual | ~ScoringComponent ()
virtual void | clear ()
virtual bool | setup ()
virtual void | setupLigand ()
ScoringFunction * | getScoringFunction () const
void | setScoringFunction (ScoringFunction &sf)
String | getName () const
void | setName (const String &name)
const String & | getTypeName ()
double | getRawScore () const
double | getScaledScore () const
virtual void | update (const vector< std::pair< Atom *, Atom * > > &pair_vector)
virtual void | setLigandIntraMolecular (bool b)
bool | isLigandIntraMolecular ()
bool | isGridable ()
bool | isAtomPairwise ()
void | setCoefficient (const double &coeff)
const double & | getCoefficient ()
void | setNormalizationParameters (double stddev, double mean)
void | getNormalizationParameters (double &stddev, double &mean)
bool | isEnabled ()
void | enable ()
void | disable ()

## Protected Attributes

std::map< String, double > | solvation_parameters
std::map< String, double > | solvation_volumes
Protected Attributes inherited from BALL::ScoringComponent
bool | ligand_intra_molecular_
bool | gridable_
bool | atom_pairwise_
ScoringFunction * | scoring_function_
ScoringBaseFunction * | base_function_
double | score_
double | coefficient_
double | stddev_
double | mean_
bool | enabled_
String | type_name_

## Additional Inherited Members

Protected Member Functions inherited from BALL::ScoringComponent
double | scaleScore (double score) const

## Detailed Description

Definition at line 15 of file SCORING/COMPONENTS/solvation.h.

## Constructor & Destructor Documentation

## Solvation()

BALL::Solvation::Solvation | ( | ScoringFunction & | sf | ) |

## Member Function Documentation

## update()

virtual void BALL::Solvation::update | ( | const AtomPairVector & | pair_vector | ) |

virtual

Reimplemented in BALL::FragmentationalSolvation.

## updateScore()

virtual double BALL::Solvation::updateScore | ( |  | ) |

virtual

Calculate the score for this component (for all interactions that have been set by the last call of update()) and return the score.
The coefficient assigned by the user to this component should be taken into account for the calculation, so that the weighted score is returned.

Reimplemented from BALL::ScoringComponent.

Reimplemented in BALL::FragmentationalSolvation.

## Member Data Documentation

## solvation_parameters

std::map<String, double> BALL::Solvation::solvation_parameters

protected

Definition at line 28 of file SCORING/COMPONENTS/solvation.h.

## solvation_volumes

std::map<String, double> BALL::Solvation::solvation_volumes

protected

Definition at line 29 of file SCORING/COMPONENTS/solvation.h.